import { ElementRef, Renderer2 } from '@angular/core';
import * as i0 from "@angular/core";
export declare class MonkeyEcxTooltipDirective {
    private el;
    private renderer;
    tooltipDelay?: number;
    tooltipPosition?: string;
    tooltipText?: string;
    tooltipTitle?: string;
    enableToShow: boolean;
    offset: number;
    tooltip: HTMLElement | null;
    constructor(el: ElementRef, renderer: Renderer2);
    onMouseEnter(): void;
    onMouseLeave(): void;
    clickout(): void;
    show(): void;
    hide(): void;
    create(): void;
    setPosition(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MonkeyEcxTooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<MonkeyEcxTooltipDirective, "[monkeyecxTooltip]", never, { "tooltipDelay": "tooltipDelay"; "tooltipPosition": "tooltipPosition"; "tooltipText": "tooltipText"; "tooltipTitle": "tooltipTitle"; "enableToShow": "enableToShow"; }, {}, never>;
}
